@charset "UTF-8";

/* single */
.articleMainImage {
    position: relative;
    aspect-ratio: 16/3;
    width: 100%;
    height: 100%;
    img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    &::after {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(255, 255, 255, 0.7);
        /* background: red; */
    }
}
.articleContainer {
    .container {
        display: flex;
        justify-content: space-between;
        gap: 4rem;
        @media (width <=864px) {
            flex-direction: column;
        }
    }

    .articleDIV {
        width: 100%;
        position: relative;
        padding: 16px;
        display: flex;
        flex-direction: column;
        margin-bottom: 0;

        /* wp標準 */
        strong {
            font-weight: bold;
        }
        .alignleft {
            margin: 0 0 0 0 !important;
        }
        ul {
            list-style-type: disc !important;
        }
        ol {
            list-style-type: decimal !important;
        }
        img.fullsize {
            max-width: 100% !important;
        }
        /* //wp標準 */

        h3 {
            font-size: 24px;
            text-align: center;
            font-weight: 800;
            margin-bottom: 32px;
        }
        p {
            line-height: 2;
        }
        a {
            text-decoration: underline;
            color: #1D94D4;
        }

        img {
            display: block;
            margin: 0 auto 24px;
            /*width: auto;*/
            width: 100%;
            max-width: 450px;
            height: auto;
        }

        .articleContent {
            width: 100%;
            max-width: 800px;
        }
        .post_date {
            display: block;
            text-align: right;
            margin-bottom: 32px;
            font-size: 12px;
        }

        .single_pager {
            margin: auto 0 32px;
            width: 100%;
            display: flex;
            justify-content: space-between;
            padding-top: 32px;
            .prev a,
            .next a {
                text-decoration: none;
            }

            .prev a:hover,
            .next a:hover {
                text-decoration: underline;
            }
        }

        .gallery {
            display: grid;
            grid-auto-rows: 230px;
            grid-template-columns: repeat(auto-fit, 186px);
            justify-content: space-around;
            grid-row-gap: 16px;
            grid-column-gap: 1px;
            margin-bottom: 32px;

            dl {
                position: relative;
                border: 1px solid #eee;
                border-radius: 10px;
                img {
                    padding: 15px 0;
                    width: 160px;
                    height: 185px;
                    object-fit: cover;
                    margin: 0 auto;
                    overflow: hidden;
                    text-align: center;
                    display: block;
                }
            }
            .gallery-item + br {
                display: none !important;
            }

        }
    }
}
/* //single */
